Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: "Stefan-W. Hahn" <[email-masked]>
Date: Sat, 22 Feb 2014 13:27:47 +0100

Mail von Eli Zaretskii, Sat, 22 Feb 2014 at 13:29:48 +0200:

Hello,

> Doesn't sound like a good idea to me: that would disable the caching
> for much more than this Org file, or even just Org files, right?  I
> would suggest to selectively disable caching only for those files that

Ok.

> > I tested it that way with my original file.
> > (elp-instrument-package org; elp-result for org-ctrl-c-ctrl-c)
> > 
> > emacs 24.3.50.1    2.083 sec (cache-long-scans nil, set by file-find-hook)
> > emacs 24.3.1       0.758 sec (cache-long-line-scan nil; as it was)
> > 
> > So it is better, but not so good as in the old emacs.
> 
> I see no difference in the code that could justify this, and on my
> system "C-c C-c" in both versions completes in the same time after
> disabling the caching, certainly much faster than 2 sec.  So I don't
> see how such a 2.5 factor could be explained, except perhaps by some
> additional local customizations on your system (I tested in "emacs -Q").

Argh... you're right, here the measurement with "emacs -Q":

(elp-instrument-package org; elp-result for org-ctrl-c-ctrl-c)

my original org-mode file:
emacs 24.3.50.1    2.065 sec (cache-long-scans nil, set local)
emacs 24.3.1       0.722 sec (cache-long-line-scan nil; as it was)

test-neuter.org:
emacs 24.3.50.1    0.925 sec (cache-long-scans nil, set local)
emacs 24.3.1       0.381 sec (cache-long-line-scan nil; as it was)

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.